Index: bitlbee.h
===================================================================
--- bitlbee.h	(revision 683e4e04998ea6c648e470eb1fe32df1934334fb)
+++ bitlbee.h	(revision e2a5be7c18f4bb9a06f5a45ddd08bade8caa2ebd)
@@ -36,8 +36,8 @@
 
 #define PACKAGE "BitlBee"
-#define BITLBEE_VERSION "3.4.2"
+#define BITLBEE_VERSION "3.5"
 #define VERSION BITLBEE_VERSION
 #define BITLBEE_VER(a, b, c) (((a) << 16) + ((b) << 8) + (c))
-#define BITLBEE_VERSION_CODE BITLBEE_VER(3, 4, 2)
+#define BITLBEE_VERSION_CODE BITLBEE_VER(3, 5, 0)
 #define BITLBEE_ABI_VERSION_CODE 1
 
Index: doc/CHANGES
===================================================================
--- doc/CHANGES	(revision 683e4e04998ea6c648e470eb1fe32df1934334fb)
+++ doc/CHANGES	(revision e2a5be7c18f4bb9a06f5a45ddd08bade8caa2ebd)
@@ -3,4 +3,62 @@
 
 https://github.com/bitlbee/bitlbee/commits/master
+
+Version 3.5:
+
+- ui:
+  * "chat list": shows a list of existing server-side chatrooms. With some
+    protocols, this is often the only way to add new channels.
+    See 'help chat list' for details. (jgeboski)
+  * "plugins": lists the installed plugins and their versions (jgeboski)
+  * Add 'nick_lowercase' and 'nick_underscores' settings.
+  * "handle_unknown" can be set per-account, not just globally
+
+- jabber:
+  * Add "always_use_nicks" channel setting, for non-anonymous MUCs (trac #415)
+    See 'help set always_use_nicks' for possible side effects.
+  * Properly handle rejected file transfers
+  * Don't send parts in a chat if someone is still connected from other devices
+  * hipchat: support personal oauth tokens (manually generated ones)
+
+- twitter:
+  * Hide muted tweets / no-retweets, add mute/unmute commands (Flexo)
+  * Show full version of extended tweets (with slightly more than 140 chars)
+
+- purple:
+  * Support setting chat room topics (EionRobb)
+  * Support for extra groupchat settings. Shows an error if any required
+    ones are missing. Look for purple_ prefixed settings in "chan #... set"
+  * SIPE: persistent chats can be joined now, thanks to the "chat list" command
+    and the above ("purple_uri" channel setting)
+  * Fix a file transfer crash bug (Mainly affected telegram)
+  * Honor protocol flag to not require a password (used in hangouts, telegram)
+  * Set the contacts' nicks to the %full_name for a few whitelisted protocols
+    (hangouts, funyahoo, icq, line)
+  * LINE: added a hack to save its auth token, to avoid re-auth every time
+  * Show self-messages in groupchat backlogs (before join)
+
+- yahoo:
+  * Removed because they killed their old protocol on a two month notice.
+    Use EionRobb's funyahoo purple plugin, or better yet, don't use yahoo.
+
+- Stuff for enterprise deployments (all done by Sevas)
+  * Locked down accounts, useful when pregenerating user config files. An
+    account that is marked with the locked="true" attribute can't be removed
+    and its username/password can't be changed.
+  * Locked down settings. Same as above, but for individual account settings.
+  * AllowAccountAdd setting in bitlbee.conf, to disable adding new accounts.
+  * PAM and LDAP authentication backends (not compiled by default)
+
+- For packagers:
+  * Enabled debug symbols in non-debug builds, disabled stripping by default.
+    This is closer to the default behavior of autotools, and --debug=1 is mostly
+    to set the DEBUG macro and disable optimization.
+
+- For plugin devs:
+  * Plugins should now include an "init_plugin_info" function which will be used
+    for ABI version checking in the future. It's optional for now, but will be
+    enforced later. See the commit log of d28fe1c for details. (jgeboski)
+
+Finished ... 200XX
 
 Version 3.4.2:
Index: doc/user-guide/misc.xml
===================================================================
--- doc/user-guide/misc.xml	(revision 683e4e04998ea6c648e470eb1fe32df1934334fb)
+++ doc/user-guide/misc.xml	(revision e2a5be7c18f4bb9a06f5a45ddd08bade8caa2ebd)
@@ -499,3 +499,19 @@
 </sect1>
 
+<sect1 id="whatsnew030500">
+<title>New stuff in BitlBee 3.5</title>
+
+<simplelist>
+	<member>New commands: <emphasis>chat list</emphasis> and <emphasis>plugins</emphasis>. New settings: <emphasis>nick_lowercase</emphasis>, <emphasis>nick_underscores</emphasis></member>
+	<member><emphasis>twitter:</emphasis> Hide muted tweets / no-retweets, add mute/unmute commands. Show full version of extended tweets.</member>
+	<member><emphasis>jabber:</emphasis> <emphasis>always_use_nicks</emphasis> channel setting. Don't send parts in a chat if someone is still connected from other devices. Personal oauth token login for hipchat.</member>
+	<member><emphasis>purple:</emphasis> Setting /topic. Fixes for SIPE and LINE. Don't ask for password if not needed (hangouts, telegram). Set nicks to %full_name for a few protocols (hangouts, funyahoo, icq, line)</member>
+</simplelist>
+
+<para>
+See the full changelog for details!
+</para>
+
+</sect1>
+
 </chapter>
